/***************************************************************************
                          main.cpp  -  main file hydraulic network analysis
                             -------------------
    begin                : Sun Apr  9 09:53:13 CEST 2000
    copyright            : (C) 2000 by sdteffen
    email                : macke@heini.fbbwu.fh-lueneburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "node.h"
#include "system.h"
#include <stdio.h>

int main( int argc, char **argv)
{
	printf("ghydraulic %s (c) 2000 Steffen Macke\n",VERSION);	
	if(argc!=2){
		printf("usage: %s filename\n",argv[0]);
		exit(0);
	}

	ghSystem *network = new ghSystem(argv[1]);
  network->analyze();
  network->print();
}




